avalon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Leif Mortenson <l...@silveregg.co.jp>
Subject Re: Ant
Date Fri, 22 Feb 2002 12:45:13 GMT


Paul Hammant wrote:

> Proposal :-
>
> 1) Developer needs - Ant 1.4.1
> 2) Most targets work out of the box
> 3) if docs is attempted some available/if/unless thing causes if to 
> barfs/warns if cocoon not in situ.
> 4) new targets "get-cocoon"
>    - downloads cocoon.
>    - unzips, unwars
>    - places jars in applicable place
> 5) docs target will now work. 

I like the idea of having the cocoon stuff get downloaded as part of the 
build because people not
build docs can save a disk space.

But having worked with lots of projects that require you to go through 
many steps to be able to build
and Avalon which builds right out of the box, I am still -1 on removing 
that ability.

I can see why some people may be concerned with using alpha versions of 
Ant.  So if Ant 1.4.1 was
included, would that satisfy them?

Once everything is all set up on a system, it is no big deal.  But 
remember there are lots of people
who are taking a look at us for the first time every day.  And believe 
it or not, not all are familiar to
Ant.

Leif



--
To unsubscribe, e-mail:   <mailto:avalon-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:avalon-dev-help@jakarta.apache.org>


Mime
View raw message